% SAMM 2017, exercise 2: optimal control of a pendulum on a cart with forcing
% by a Variational Integrator discretization (linear interpolation, m.p.-rule)
% 
% author: kathrin.flasskamp@uni-bremen.de
%
% [fm] = fminus(u0)
%
% function computes the left discrete forces. Here, it depends on u only.
% Could be a function of q and q_dot as well.
%
% Input:  u current control value
%
% Output: fm 2dim vector of forces

function fm = fminus(u0)
    global h;
    fm = h/2*[u0;0];
  
endfunction