% SAMM 2017, exercise 2: optimal control of a pendulum on a cart with forcing
% by a Variational Integrator discretization (linear interpolation, m.p.-rule)
% 
% author: kathrin.flasskamp@uni-bremen.de
%
% [fp] = fplus(u0)
%
% function computes the right discrete forces. Here, it depends on u only.
% Could be a function of q and q_dot as well.
%
% Input:  u current control value
%
% Output: fp 2dim vector of forces

function fp = fplus(u0)
    global h;
    fp = h/2*[u0;0];
  
endfunction